Subject: [lojban] Re: ca'a pu (was: Why is there so much irregularity in cmavo/gismu?)

From: Jay Kominek <[email-masked]>
Date: Tue, 13 Nov 2001 18:16:44 -0700 (MST)

On Tue, 13 Nov 2001, Invent Yourself wrote:

> > > >And why does CAhA have different grammar? It is grammatically correct to
> > > >say {mi pu ca'a broda} but not {mi ca'a pu broda}.
> > >
> > > Both are grammatically correct, but the second one parses
> > > as {mi ca'aku pu broda}.
> >
> > In jbofi'e, {mi ca'a pu broda} doesn't parse at all.
>
> Is there a Good Reason for that? Is it ambiguous?

{mi ca'a ku pu broda} works.
{mi pu ca'a broda} works.
{mi ca'a pu broda} does not work.

The parser treats the glob {puca'a} as a single modal.

{ca'aku pu} is treated as two modals.

{ca'a pu} fails because the grammar only allows PU and CAhA to be glommed
into the same modal when they're in the order PU+CAhA

Why it does that, I don't know. I don't immediately see why it can't allow
CAhA+PU also. Assuming that someone can't figure out why in a day or two,
I'll try abusing the grammar to see if it remains LALR(1) with that
change.

- Jay Kominek <[email-masked]>
Plus ça change, plus c'est la même chose